SpreeRequestStore
=================

Provide current user, current store and current currency method by using (RequestStore)[https://github.com/steveklabnik/request_store] so you could use it in model class.

## Usage 
Get current store of the request
```ruby
Spree::Store.current_store
```

Get current currency of the request
```ruby
Spree::Store.current_currency
```

Get current user of the request
```ruby
Spree::Store.current_user
```

## Installation

1. Add this extension to your Gemfile with this line:
  ```ruby
  gem 'spree_request_store', github: 'EONIQ/spree_request_store'
  ```

2. Install the gem using Bundler:
  ```ruby
  bundle install
  ```

3. Copy & run migrations
  ```ruby
  bundle exec rails g spree_request_store:install
  ```

4. Restart your server

  If your server was running, restart it so that it can find the assets properly.

## Testing

First bundle your dependencies, then run `rake`. `rake` will default to building the dummy app if it does not exist, then it will run specs. The dummy app can be regenerated by using `rake test_app`.

```shell
bundle
bundle exec rake
```

When testing your applications integration with this extension you may use it's factories.
Simply add this require statement to your spec_helper:

```ruby
require 'spree_request_store/factories'
```


## Contributing

If you'd like to contribute, please take a look at the
[instructions](CONTRIBUTING.md) for installing dependencies and crafting a good
pull request.

Copyright (c) 2018 EONIQ (HK) LIMITED, released under the New BSD License
